# Retrieve a TrueIdentity using an access token

`GET /identity/response/{access_request_code}/{identity_session_code}`

Retrieve a TrueIdentity using an access token, which is granted when an identity request is approved.

This endpoint should be accessed following a successful webhook response from an identity request.
Access tokens have a limited validity period.

The access token must be provided in the X-Access-Token header as a JWT.

The response contains common JWT header fields (iss, exp, etc) for ease of verification, as well as the disclosed claims.

The `exp` field is the expiration time of the TrueIdentity. You should not accept the response if this has elapsed.

The `trueidentity.credential_jwt` field is only provided if the `trueidentity.credential` claim was requested. This JWT contains the same fields which can be cross checked for validity.

Other credentials will be returned in the same way as the `trueidentity.credential_jwt` field.

Parameters, request body, responses and error codes for this
endpoint are generated from the OpenAPI description. Read it at
/dist/docs/openapi.yaml for the machine-readable version.
